﻿namespace BPA.Common.Entity
{
    /// <summary>
    /// 公用类
    /// </summary>
    public abstract class AbstractEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>

        public string Id { get; set; }
        /// <summary>
        /// 删除标识
        /// 0=> 正常使用
        /// 1=> 已经被标记删除
        /// </summary>
        public int IsDeleted { get; set; }
        /// <summary>
        /// 删除时间
        /// </summary>
        public DateTime DeleteAt { get; set; }
        /// <summary>
        /// 删除人
        /// </summary>
        public string DeleteBy { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        public DateTime UpdateAt { get; set; }
        /// <summary>
        /// 更新人
        /// </summary>
        public string UpdateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; }
        /// <summary>
        /// 创建人
        /// </summary>
        public string CreateBy { get; set; }
    }
}
