﻿using BPA.Common.Enums.Queue;
using BPA.Component.Extensions;

namespace BPA.Common.Infrastructure;

/// <summary>
/// 消息基础
/// </summary>
public class BaseMsgBody
{
    /// <summary>
    /// 消息ID
    /// </summary>
    public long MsgId { get; } = BPAUniqueIdBulder.NextLong();

    /// <summary>
    /// 时间戳
    /// </summary>
    public long Timestamp { get; } = DateTime.Now.ToJsTimeTotalSeconds();

    /// <summary>
    /// 消息原始内容
    /// </summary>
    public string MsgBody { get; set; }

    /// <summary>
    /// 消息类型
    /// </summary>
    public EnumMessageType EnumMessageType { get; set; }
}