﻿using BPA.Component.RabbitMQClient.Options;

namespace BPA.Common.Infrastructure.Queue;

public static class MqNameConfig
{
    /// <summary>
    /// 业务日志 交换机名称
    /// </summary>
    public static ExchangeName BizLogExchange => ExchangeName.Build(nameof(BizLogExchange));

    /// <summary>
    /// 业务日志 队列名称
    /// </summary>
    public static QueueName BizLogQueue => QueueName.Build(nameof(BizLogQueue));

    /// <summary>
    /// 任务调度 数据同步 交换机名称
    /// </summary>
    public static ExchangeName SynDataTaskScheduleExchange = ExchangeName.Build(nameof(SynDataTaskScheduleExchange));

    /// <summary>
    /// 任务调度任意时间任务 交换机名称
    /// </summary>
    public static ExchangeName AnyTimeTaskScheduleExchange = ExchangeName.Build(nameof(AnyTimeTaskScheduleExchange));

    /// <summary>
    /// 任务调度任意时间任务 队列名称
    /// </summary>
    public static QueueName AnyTimeTaskScheduleQueue = QueueName.Build(nameof(AnyTimeTaskScheduleQueue));

    /// <summary>
    /// 任务调度 数据同步 队列名称
    /// </summary>
    public static QueueName SynDataTaskScheduleQueue => QueueName.BuildDynamic(nameof(SynDataTaskScheduleQueue));
}